iOS 4.0 Shazam on iPhone OS 4.0..?

Discussion in 'iOS Jailbreak & Cydia' started by ipodtouch123, Apr 14, 2010.

  1. ipodtouch123

    ipodtouch123 Member

    Joined:
    Apr 21, 2008
    Messages:
    441
    Likes Received:
    0
    Device:
    iPhone 3G (Black)
    hey guys. After upgrading to 4.0, have any of you noticed any apps that dont work with 4.0? Shazam doesnt seem to working for me, i dont know why. either because of this or because im not doing it right....?
  2. Shadowriver

    Shadowriver Active Member

    Joined:
    Jun 20, 2008
    Messages:
    1,467
    Likes Received:
    1
    Device:
    iPod touch
    4.0 APIs diffrences... developers of those apps need to fix this. Thats also not good news for 1G users
  3. ipodtouch123

    ipodtouch123 Member

    Joined:
    Apr 21, 2008
    Messages:
    441
    Likes Received:
    0
    Device:
    iPhone 3G (Black)
    oh, yeah, i tried it on my other itouch on 3.1.3 and it worked fine. I guess its just the firmware compatibility problem.

    Please Register or Log in to view images

  4. personman

    personman Active Member

    Joined:
    May 1, 2008
    Messages:
    1,466
    Likes Received:
    16
    Device:
    iPhone 5S
    Unless they can get it to work with both or detect which one it is.
  5. Shadowriver

    Shadowriver Active Member

    Joined:
    Jun 20, 2008
    Messages:
    1,467
    Likes Received:
    1
    Device:
    iPod touch
    I don't know if it's that easy with Apple validation process that might block access to unsupported hardware if app uses newest APIs. Also not all developers will make hard work on maintaining 2 versions or 1 with dual support
  6. mitchell209

    mitchell209 Active Member

    Joined:
    Jan 21, 2009
    Messages:
    8,024
    Likes Received:
    5
    Device:
    iPhone 4 (Black)
    Yeah, some apps don't work for me on 4.0.
  7. ipodtouch123

    ipodtouch123 Member

    Joined:
    Apr 21, 2008
    Messages:
    441
    Likes Received:
    0
    Device:
    iPhone 3G (Black)
    yeah, i guess ill have to wait till summer, when the final one releases before the developers release their compatible apps.

    Please Register or Log in to view images

  8. Chicken

    Chicken Retired Moderator

    Joined:
    Feb 17, 2008
    Messages:
    2,494
    Likes Received:
    7
    Device:
    iPhone 5S
    Developers should use conditional coding in their applications to check the device firmware and then implement the features if they are available.
  9. personman

    personman Active Member

    Joined:
    May 1, 2008
    Messages:
    1,466
    Likes Received:
    16
    Device:
    iPhone 5S
    I believe that's what they use now, right? Since a LOT of people who aren't like us buy an iPod or iPhone and just use it and never upgrade it, not even knowing upgrades exist.
  10. Shadowriver

    Shadowriver Active Member

    Joined:
    Jun 20, 2008
    Messages:
    1,467
    Likes Received:
    1
    Device:
    iPod touch
    It's not that easy and Shazam problem shows that, there API changes whatever there new APIs. Some of them might be influence core of app and for developer it might be hard to mentain 3.0 compatibility. Newest SDK might not allow to use old and new versions of some functions in same time.

    Also as i said, Apple might lock app to 4.0 if it uses newest API.

    Ofcorse apps that work correctly in 4.0 should not have that problem

Share This Page